GNU bug report logs - #24310
25.1; Cairo Emacs doesn't properly redraw its window when maximized

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Francesco Turco <fturco@HIDDEN>; Keywords: help; merged with #23925; dated Fri, 26 Aug 2016 05:31:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 23925 24310. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) help. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to '25.1; Cairo Emacs doesn't properly redraw its window when maximized' from '25.1; Emacs doesn't properly redraw its window when maximized' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24310 <at> debbugs.gnu.org:


Received: (at 24310) by debbugs.gnu.org; 26 Aug 2016 06:10:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 02:10:12 2016
Received: from localhost ([127.0.0.1]:41006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bdALD-0003Q0-PD
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2016 02:10:11 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:35009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fturco@HIDDEN>) id 1bdALC-0003Pt-JT
 for 24310 <at> debbugs.gnu.org; Fri, 26 Aug 2016 02:10:10 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 334B620686
 for <24310 <at> debbugs.gnu.org>; Fri, 26 Aug 2016 02:10:10 -0400 (EDT)
Received: from web2 ([10.202.2.212])
 by compute1.internal (MEProxy); Fri, 26 Aug 2016 02:10:10 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=fastmail.fm; h=
 content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-sasl-enc
 :x-sasl-enc; s=mesmtp; bh=fp6oVVMvhUIZoyGVR5roPKPJ4OY=; b=gvzQE/
 UFCfSqCroDQ+sRROS9zEDIkoclo8Y46R+rqpHcPM91aeXvIxyBG3qksA/sQli7iU
 mmd8WmQNkJJ/pd72nCImY7FTb5W8W/6RLz8MWxJh07Z9fZHnqiStST687wLDZXk2
 XDkPoGLQPXPNddYM5dP1ZAaZIzvqwKcF2N2G8=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-sasl-enc:x-sasl-enc; s=smtpout; bh=fp6oVVMvhUIZoyG
 VR5roPKPJ4OY=; b=qInZST+BHgoeVI1ZdY0Dfz05yUne9dexOpUeVxf2gTpg91n
 CaPK49+6pL5Rr0W9jhDAbXHiMAmHE19gSPVmt9S9A7ScbZbA6O2kTSv/QnvlyrVl
 R1Etu7RI5r0UqzQ+COo+6n9s4Zmjw0HXm6jZjly4ycpkCrbb0WHGA2ZuMj4c=
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 042A5D0124; Fri, 26 Aug 2016 02:10:09 -0400 (EDT)
Message-Id: <1472191809.2000234.706649897.71A61616@HIDDEN>
X-Sasl-Enc: 9Cwy8qcQLujEsVR83z/pTCrV40qex3wgMAUkzMewg1gM 1472191809
From: Francesco Turco <fturco@HIDDEN>
To: 24310 <at> debbugs.gnu.org
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Mailer: MessagingEngine.com Webmail Interface - ajax-5ae55197
Subject: Re: bug#24310: 25.1;
 Emacs doesn't properly redraw its window when maximized
Date: Fri, 26 Aug 2016 08:10:09 +0200
In-Reply-To: <57BFD67D.4090202@HIDDEN>
References: <1472189386.1992341.706625393.38948F36@HIDDEN>
 <57BFD67D.4090202@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24310
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Aug 26, 2016, at 07:41, martin rudalics wrote:
> Please build --without-cairo because
> 
>    The Emacs Cairo drawing is experimental and still has some known
>    display problems.  We encourage more testing of this build and
>    reporting any problems you find, but it is not recommended for
>    production.

Disabling the cairo USE flag fixes this problem. Thank you for the
suggestion!

-- 
https://www.fturco.net/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24310; Package emacs. Full text available.

Message received at 24310 <at> debbugs.gnu.org:


Received: (at 24310) by debbugs.gnu.org; 26 Aug 2016 05:41:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 01:41:30 2016
Received: from localhost ([127.0.0.1]:41001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bd9tS-0002kX-Dc
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2016 01:41:30 -0400
Received: from mout.gmx.net ([212.227.17.21]:61628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1bd9tQ-0002kJ-Iq
 for 24310 <at> debbugs.gnu.org; Fri, 26 Aug 2016 01:41:29 -0400
Received: from [192.168.1.100] ([212.95.7.12]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0M09Ee-1bI3fP2m8i-00uMmU;
 Fri, 26 Aug 2016 07:41:19 +0200
Message-ID: <57BFD67D.4090202@HIDDEN>
Date: Fri, 26 Aug 2016 07:41:17 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Francesco Turco <fturco@HIDDEN>, 24310 <at> debbugs.gnu.org
Subject: Re: bug#24310: 25.1; Emacs doesn't properly redraw its window when
 maximized
References: <1472189386.1992341.706625393.38948F36@HIDDEN>
In-Reply-To: <1472189386.1992341.706625393.38948F36@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:u7rW033W4U6tVU8IlqtVzg2YeykeiEot/5I1d95hUFyLB/aPqRW
 i77fnDUzl7xwOpQG4Nn3VYIpfAGYUSrVLzD/yBpcUPOkLhUxtVsv0rrb27yXi7QyAoXrLtZ
 dfKH1ioqGdX2oSKnRMk68C+sqFXMii2lCGCm2rbN0n86ZF4fvyODw8OV9WpeFgmBJfKzxiU
 gvHf8QLVmrRs837A9kTJA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:FLRBd9xnzEM=:5rA/TJYMWPoyrrxArNJ8cr
 fgfnM2Ed3GKI2UARfnCXqbiLZ/AHSzwoQKPOpI9v3gAV5Eq23hVqPs5KYAwN84lStB2SSxsc0
 +tn86dX4mMkd8wFe/hswn0sXPjqQdLSb6OMhfxXsAqcFEOv4QkB/cCt9QX8HEV7XWn+QW1K8q
 bvrKOgD3vnyWgLGhhrM9jw0tiZ572DN6DG0lC/wUmQfnP4MnogLE9c/Bo5Ko2r5Fxw9k/et9x
 +v+4lRsP2xc9q2tdocm/qf6GbOvdLND/CqTt34jijvisJKdDtcm69n+5sNSNg7HWFRuOxbejw
 DdRQ5rPRA+uGjIhzBROyewqazqVTM2ZupDtVpaM0xQDi0jMgZXB+OUvbWi/LbE//WW1CF6F9e
 8kLep5csdniZ/UI19J6dMNseUeHSiBI+JGUXtdL+hfcUE/bTkPCI22EdldRoofnxFi2aYyu4V
 2sQz14tmqLUuA1JCTDLJ3mQdNhyg8RJaUxUugby40YFNabpvoDnmIc19aQMn4geVxZi4BxQt3
 eflUaXyLIu09FcLJLUQe5cjoRyWjerjTfbpH6nBKyxvY35kC+vKWQM0SSsq8ncJYdppOpwizQ
 8P9jxgcfzaQSHM0lM9SP1pjYRhmcczuqf2KzWADddbomieNfxZwQB4NPRjw5jAeeD4T0+UQvk
 45uVr+n4VYc3fKhwlpH3hbWzvRMPG1k8Q82v99Jfvfysb6F0Y4GeBPkNJVmR0m/QSNhEqAxVU
 tD1KgPf3dTpW2bm46t8BHJ8kVtHIGJvb9b32gl8vGhxgJZZMSa1I71AL+HZouSwa3MQYPrhg+
 HsTl2KHTFAPyPXvVmRr15i6dNijl5tQc/x9iFK42lX/UbXCajqP6e1G2lul9hhCWLummer01t
 O0e0jrKt0HoGP+35aTNA==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 24310
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > I'm using emacs-25.1_rc2 on a Gentoo Linux system. My desktop
 > environment is GNOME.
 >
 > Steps to reproduce my problem:
 > - Launch GNOME (or GNOME Classic)
 > - Launch Emacs (even -with the -Q option)
 > - Double click on the title bar
 >
 > Result: Emacs window is not properly redrawn (screenshot:
 > http://i.imgur.com/CI3bkJj.png)
 >
 > I cannot reproduce this problem with emacs-24.5-r3.
[...]
 > In GNU Emacs 25.1.1 (x86_64-pc-linux-gnu, GTK+ Version 3.20.8, cairo
 > version 1.14.6)
[...]
 >   --with-imagemagick --with-xft --with-cairo --without-libotf

Please build --without-cairo because

   The Emacs Cairo drawing is experimental and still has some known
   display problems.  We encourage more testing of this build and
   reporting any problems you find, but it is not recommended for
   production.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24310; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Aug 2016 05:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 01:30:08 2016
Received: from localhost ([127.0.0.1]:40994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bd9iR-0002Q5-MH
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2016 01:30:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fturco@HIDDEN>) id 1bd9iO-0002ON-Ix
 for submit <at> debbugs.gnu.org; Fri, 26 Aug 2016 01:30:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fturco@HIDDEN>) id 1bd9iH-0005D2-F8
 for submit <at> debbugs.gnu.org; Fri, 26 Aug 2016 01:29:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35604)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <fturco@HIDDEN>) id 1bd9iH-0005Cw-BV
 for submit <at> debbugs.gnu.org; Fri, 26 Aug 2016 01:29:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48795)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <fturco@HIDDEN>) id 1bd9iE-00067h-3A
 for bug-gnu-emacs@HIDDEN; Fri, 26 Aug 2016 01:29:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fturco@HIDDEN>) id 1bd9i9-00058z-Ni
 for bug-gnu-emacs@HIDDEN; Fri, 26 Aug 2016 01:29:53 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:57397)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <fturco@HIDDEN>) id 1bd9i9-00057Y-IQ
 for bug-gnu-emacs@HIDDEN; Fri, 26 Aug 2016 01:29:49 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id B37E820475
 for <bug-gnu-emacs@HIDDEN>; Fri, 26 Aug 2016 01:29:46 -0400 (EDT)
Received: from web2 ([10.202.2.212])
 by compute1.internal (MEProxy); Fri, 26 Aug 2016 01:29:46 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=fastmail.fm; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-sasl-enc:x-sasl-enc; s=mesmtp; bh=i0f
 kbcAU+JlqPdj2GDB9Jj9Gn2I=; b=jJyrxCgoWLgAPnyad4I8pnd5UOVIv4M/Ibl
 tB17Dv1DUyDGPHvkyagtqpUpJ6VmZwRHhFbworxVOeSDZhrl3fXpbSzwsN2gM3OB
 NOSedaHBitwKBkTJlBev6RPhSXKSKFSBl1zvHzyHwYe1ofgpQQdqwDmxfmnfE4xv
 7mXUcvOc=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-sasl-enc
 :x-sasl-enc; s=smtpout; bh=i0fkbcAU+JlqPdj2GDB9Jj9Gn2I=; b=QMTev
 JhmB/eCmXbkQzEQdpk29GPs4PoZlEr2nJGd1HaOkL3fk1rdDkUfbeYT1XL+0iBi3
 mDqp9x0Yx5wAWFpHWZh6qNrA4SoVd/kf9nSrUBC1rr6Wpa2UNFieXTlNjUu4iMKk
 a0iGze33smiXW1yJJg7S0+zDkVw4Hmv0eVZoFs=
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 7A80FD0124; Fri, 26 Aug 2016 01:29:46 -0400 (EDT)
Message-Id: <1472189386.1992341.706625393.38948F36@HIDDEN>
X-Sasl-Enc: RMD8doij+hVeKL8eWhTPIChxaG4N3e7eTz3wpPK81XQt 1472189386
From: Francesco Turco <fturco@HIDDEN>
To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Mailer: MessagingEngine.com Webmail Interface - ajax-5ae55197
Subject: 25.1; Emacs doesn't properly redraw its window when maximized
Date: Fri, 26 Aug 2016 07:29:46 +0200
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

I'm using emacs-25.1_rc2 on a Gentoo Linux system. My desktop
environment is GNOME.

Steps to reproduce my problem:
- Launch GNOME (or GNOME Classic)
- Launch Emacs (even -with the -Q option)
- Double click on the title bar

Result: Emacs window is not properly redrawn (screenshot:
http://i.imgur.com/CI3bkJj.png)

I cannot reproduce this problem with emacs-24.5-r3.

-----------------------------

$ emerge -pv emacs:25

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] app-editors/emacs-25.1_rc2:25::gentoo  USE="X alsa
cairo dbus gif gtk gtk3 imagemagick inotify jpeg png sound ssl svg tiff
xft xpm zlib -Xaw3d -acl (-aqua) -athena -games -gconf -gfile -gpm
-gsettings -gzip-el -hesiod -kerberos -libxml2 -livecd -m17n-lib -motif
-pax_kernel (-selinux) -source -toolkit-scroll-bars -wide-int -xwidgets"
0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

--------------------------------

$ emerge --info
Portage 2.3.0 (python 3.5.2-final-0,
default/linux/amd64/13.0/desktop/gnome/systemd, gcc-5.4.0,
glibc-2.23-r2, 4.7.2-gentoo x86_64)
=================================================================
System uname:
Linux-4.7.2-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-gentoo-2.2
KiB Mem:     8104256 total,   2292796 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Thu, 25 Aug 2016 11:00:01 +0000
sh bash 4.3_p46
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
app-shells/bash:          4.3_p46::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.6.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.2-r1::gentoo
sys-apps/openrc:          0.21.3::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo,
1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

fturco
    location: /usr/local/portage
    masters: gentoo

laurentb
    location: /var/lib/layman/laurentb
    masters: gentoo
    priority: 50

octopus
    location: /var/lib/layman/octopus
    masters: gentoo
    priority: 50

torbrowser
    location: /var/lib/layman/torbrowser
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc
/usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d
/etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild
/etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d
/etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified
distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch
preserve-libs protect-owned sandbox sfperms strict unknown-features-warn
unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times
--omit-dir-times --compress --force --whole-file --delete --stats
--human-readable --timeout=180 --exclude=/distfiles --exclude=/local
--exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acpi alsa amd64 bash-completion berkdb branding bzip2
cairo cdda cdparanoia cdr clamav cli colord crypt css cups cxx dbus djvu
dri dts dvd dvdr eds emacs emboss encode evo exif fam ffmpeg firefox
flac ftp gdbm gif git glamor gnome gnome-keyring gnome-online-accounts
gphoto2 gstreamer gtk iconv ieee1394 imagemagick imap introspection ipv6
javascript jpeg latex lcms libnotify libsecret lm_sensors mad matroska
mime mmx mmxext mng modules mono mp3 mp4 mpeg mplayer multilib
musicbrainz nautilus ncurses networkmanager nptl ogg opengl openmp opus
pam pango pcre pdf perl png policykit ppds pulseaudio python qt3support
qt4 qt5 readline rss samba scanner sdl seccomp session smp sound sse
sse2 ssl startup-notification svg systemd tcpd tiff tracker truetype
udev udisks unicode upower usb v4l vala videos vorbis vpx webkit wifi
wxwidgets xcb xft xml xv zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000
atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938
es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio
via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core
socache_shmcb unixd actions alias auth_basic authn_alias authn_anon
authn_dbm authn_default authn_file authz_dbm authz_default
authz_groupfile authz_host authz_owner authz_user autoindex cache cgi
cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter
file_cache filter headers include info log_config logio mem_cache mime
mime_magic negotiation rewrite setenvif speling status unique_id userdir
usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets
stage tables krita karbon braindump author" CAMERAS="ptp2"
COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog"
CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 sse4_1 ssse3" ELIBC="glibc"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt
gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore
rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx"
INPUT_DEVICES="evdev" KERNEL="linux" L10N="en" LCD_DEVICES="bayrad
cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice"
PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7"
PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby23"
SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="intel i915 nouveau"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p
iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark
dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK,
LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS_FLAGS,
PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

------------------------------

In GNU Emacs 25.1.1 (x86_64-pc-linux-gnu, GTK+ Version 3.20.8, cairo
version 1.14.6)
 of 2016-08-22 built on desktop
Windowing system distributor 'The X.Org Foundation', version
11.0.11804000
System Description:     Gentoo Base System release 2.2

Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --disable-dependency-tracking
 --disable-silent-rules --docdir=/usr/share/doc/emacs-25.1_rc2
 --htmldir=/usr/share/doc/emacs-25.1_rc2/html --libdir=/usr/lib64
 --program-suffix=-emacs-25 --infodir=/usr/share/info/emacs-25
 --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --with-gameuser=:gamestat --without-compress-install
 --with-file-notification=inotify --disable-acl --with-dbus
 --without-gpm --without-hesiod --without-kerberos --without-kerberos5
 --without-xml2 --without-selinux --with-gnutls --without-wide-int
 --with-zlib --with-sound=alsa --with-x --without-ns --without-gconf
 --without-gsettings --without-toolkit-scroll-bars --with-gif
 --with-jpeg --with-png --with-rsvg --with-tiff --with-xpm
 --with-imagemagick --with-xft --with-cairo --without-libotf
 --without-m17n-flt --with-x-toolkit=gtk3 --without-xwidgets
 GENTOO_PACKAGE=app-editors/emacs-25.1_rc2 'CFLAGS=-march=core2 -O2
 -pipe' CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO IMAGEMAGICK SOUND DBUS NOTIFY GNUTLS
FREETYPE XFT ZLIB GTK3 X11

Important settings:
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 86673 10574)
 (symbols 48 19756 0)
 (miscs 40 44 146)
 (strings 32 14363 4206)
 (string-bytes 1 410773)
 (vectors 16 11738)
 (vector-slots 8 430450 4812)
 (floats 8 162 91)
 (intervals 56 267 0)
 (buffers 976 18)
 (heap 1024 50951 2506))

-- 
https://www.fturco.net/




Acknowledgement sent to Francesco Turco <fturco@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24310; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 26 Aug 2016 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.